{%- extends 'base.html.twig' -%}

{%- block title -%}
    {{- post.title -}}
{%- endblock -%}

{%- block description -%}
{%- endblock -%}

{%- block facebook -%}
    <meta property="og:title" content=""/>
    <meta property="og:description" content="" />
{%- endblock -%}

{%- block body -%}

    <div class="row">
        <div class="col-lg-9">
            <div class="post">
                <div class="post-single inside" id="post-single-{{- post.id -}}" data-id="{{- post.id -}}" data-short-permlink="{{-  post.author ~ '/' ~ post.permlink -}}">
                    {%- set postUri = path('app_post', { category: post.category, author: post.author, permlink: post.permlink }) -%}
                    <div class="row">

                        {% set strimiPostType = null %}
                        {% if post.strimi_metadata is defined %}
                            {% if post.strimi_metadata.type.type == 'link' %}
                                {% set strimiPostType = 'strimi-post-link' %}
                            {% elseif post.strimi_metadata.type.type == 'video' or post.strimi_metadata.type.type == 'image' or post.strimi_metadata.type.type == 'text' %}
                                {% set strimiPostType = 'strimi-post-other' %}
                            {%-endif -%}
                        {%-endif -%}

                        <div class="col-lg-12">
                            {%- include 'AppBundle:Post/Single/Structure:voteContent.html.twig' -%}
                            {%- include 'AppBundle:Post/Single/Structure:shortThumbnail.html.twig' -%}
                            <div class="short-content {{ strimiPostType -}}">
                                {%- include 'AppBundle:Post/Single/Structure:shortContentTitle.html.twig' -%}
                                {%- include 'AppBundle:Post/Single/Structure:shortMeta.html.twig' -%}
                                {%- include 'AppBundle:Post/Single/Structure:shortContentBody.html.twig' -%}
                                {%- include 'AppBundle:Post/Single/Structure:shortTags.html.twig' -%}
                                {%- include 'AppBundle:Post/Single/Structure:shortFooter.html.twig' -%}
                            </div>
                            {%- if post.strimi_metadata is defined -%}
                                {%- if post.strimi_metadata.type.type == 'video' -%}
                                    {%- include 'AppBundle:Post/Single/Structure/content:video.html.twig' -%}
                                {%- elseif post.strimi_metadata.type.type == 'image' -%}
                                    {%- include 'AppBundle:Post/Single/Structure/content:image.html.twig' -%}
                                {%- elseif post.strimi_metadata.type.type == 'text' -%}
                                    {%- include 'AppBundle:Post/Single/Structure/content:text.html.twig' -%}
                                {%- endif -%}
                            {%- else -%}

                                {%- if post.is_strimi_post is defined and post.is_strimi_post == true -%}
                                    <div class="normal-content">
                                        {{- post.body|onlyMarkdown -}}
                                    </div>
                                {%- else -%}
                                    <div class="normal-content outer">
                                        {{- post.body|outerSanitizer -}}
                                    </div>
                                {%- endif -%}

                            {%- endif -%}
                        </div>
                    </div>
                </div>
            </div>

            {%- include 'AppBundle:Comment:onPost.html.twig' -%}

        </div>
        <div class="col-lg-3">
            {%- include 'AppBundle:User/Account:sidebarInformation.html.twig' -%}
            {%- include 'AppBundle:Sidebar:language.html.twig' -%}
            {%- include 'AppBundle:Sidebar:exchangeCantor.html.twig' -%}
            {%- include 'AppBundle:Tag:sidebar.html.twig' -%}
        </div>
    </div>

{%- endblock -%}